package com.hzya.frame.sysnew.application.api.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 应用api(SysApplicationApi)实体类
 *
 * @author makejava
 * @since 2023-09-22 16:23:27
 */
public class SysApplicationApiVo   {
    /**  id */
    private String id;
    /**  目录 */
    private String catalogueId;
    /**  目录 */
    private String catalogueName;
    /**  api名称 */
    private String apiName;
    /**  目标地址 */
    private String destinationAddress;
    /**  api描述 */
    private String apiRemark;
    /**  异常统计 */
    private Integer errorCount;
    /**  1启用2停用 */
    private String apiStatus;
    /**  选中的三方系统 */
    private String authDetail;
    /**  选中的三方系统 */
    private String[] authDetails;
    /**  接口编码 */
    private Long apiCode;
    /**  Api接口地址(固定系统内部外放接口地址) */
    private String apiPath;
    /**  bean名称 */
    private String beanName;
    /**  方法名称 */
    private String funName;
    /**  是否扩展api */
    private String extensionApi;
    /** 返回成功字段 */
    private String returnSuccessField;
    /**  返回成功值*/
    private String returnSuccessValue;
    /**  返回描述字段*/
    private String returnMsg;

    public Long getApiCode() {
        return apiCode;
    }

    public void setApiCode(Long apiCode) {
        this.apiCode = apiCode;
    }

    public String getApiPath() {
        return apiPath;
    }

    public void setApiPath(String apiPath) {
        this.apiPath = apiPath;
    }

    public String getAuthDetail() {
        return authDetail;
    }

    public void setAuthDetail(String authDetail) {
        this.authDetail = authDetail;
    }

    public String[] getAuthDetails() {
        return authDetails;
    }

    public void setAuthDetails(String[] authDetails) {
        this.authDetails = authDetails;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCatalogueId() {
        return catalogueId;
    }

    public void setCatalogueId(String catalogueId) {
        this.catalogueId = catalogueId;
    }

    public String getCatalogueName() {
        return catalogueName;
    }

    public void setCatalogueName(String catalogueName) {
        this.catalogueName = catalogueName;
    }

    public String getApiName() {
        return apiName;
    }

    public void setApiName(String apiName) {
        this.apiName = apiName;
    }

    public String getDestinationAddress() {
        return destinationAddress;
    }

    public void setDestinationAddress(String destinationAddress) {
        this.destinationAddress = destinationAddress;
    }

    public String getApiRemark() {
        return apiRemark;
    }

    public void setApiRemark(String apiRemark) {
        this.apiRemark = apiRemark;
    }

    public Integer getErrorCount() {
        return errorCount;
    }

    public void setErrorCount(Integer errorCount) {
        this.errorCount = errorCount;
    }

    public String getApiStatus() {
        return apiStatus;
    }

    public void setApiStatus(String apiStatus) {
        this.apiStatus = apiStatus;
    }

    public String getBeanName() {
        return beanName;
    }

    public void setBeanName(String beanName) {
        this.beanName = beanName;
    }

    public String getFunName() {
        return funName;
    }

    public void setFunName(String funName) {
        this.funName = funName;
    }

    public String getExtensionApi() {
        return extensionApi;
    }

    public void setExtensionApi(String extensionApi) {
        this.extensionApi = extensionApi;
    }

    public String getReturnSuccessField() {
        return returnSuccessField;
    }

    public void setReturnSuccessField(String returnSuccessField) {
        this.returnSuccessField = returnSuccessField;
    }

    public String getReturnSuccessValue() {
        return returnSuccessValue;
    }

    public void setReturnSuccessValue(String returnSuccessValue) {
        this.returnSuccessValue = returnSuccessValue;
    }

    public String getReturnMsg() {
        return returnMsg;
    }

    public void setReturnMsg(String returnMsg) {
        this.returnMsg = returnMsg;
    }
}

